import {Component} from "react";
import GameSetup from "./GameSetup";


interface StartupState {
    started: boolean,
}

export default class Startup extends Component<{}, StartupState> {
    constructor(props: {}) {
        super(props);
        this.state = {started: false};
    }

    componentDidMount() {

    }

    componentWillUnmount() {

    }

    render() {
        if(!this.state.started)
            return <div className="startup">
                <h1>Willkommen!</h1>
                <p>Smart Monopoly wird gestartet...</p>
                {!this.state.started ? <span className="loader"></span> : null}
            </div>
        else
            return <h1>Willkommen!</h1>

    }

}